import { ComponentID } from '@teambit/component';
export declare type DependencyType = {
    id: string;
    lifecycle: string;
    packageName: string | null;
    version: string;
    __typename: string;
};
declare type CodeResults = {
    getHost: {
        id: string;
        get: {
            fs?: string[];
            mainFile?: string;
            dependencies: DependencyType[];
            devFiles: string[];
        };
    };
};
export declare function useCode(componentId: ComponentID): {
    client: import("@apollo/client").ApolloClient<any>;
    previousData?: CodeResults;
    error?: import("@apollo/client").ApolloError;
    loading: boolean;
    networkStatus: import("@apollo/client").NetworkStatus;
    called: true;
    startPolling: (pollInterval: number) => void;
    stopPolling: () => void;
    subscribeToMore: <TSubscriptionData = CodeResults, TSubscriptionVariables = import("@apollo/client").OperationVariables>(options: import("@apollo/client").SubscribeToMoreOptions<CodeResults, TSubscriptionVariables, TSubscriptionData>) => () => void;
    updateQuery: <TVars = import("@apollo/client").OperationVariables>(mapFn: (previousQueryResult: CodeResults, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, CodeResults>, "variables">) => CodeResults) => void;
    refetch: (variables?: Partial<import("@apollo/client").OperationVariables>) => Promise<import("@apollo/client").ApolloQueryResult<CodeResults>>;
    variables: import("@apollo/client").OperationVariables;
    fetchMore: (<K extends string>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<import("@apollo/client").OperationVariables, K, CodeResults> & import("@apollo/client").FetchMoreOptions<CodeResults, import("@apollo/client").OperationVariables>) => Promise<import("@apollo/client").ApolloQueryResult<CodeResults>>) & (<TData2, TVariables2, K_1 extends keyof TVariables2>(fetchMoreOptions: {
        query?: import("@apollo/client").DocumentNode | import("@graphql-typed-document-node/core").TypedDocumentNode<CodeResults, import("@apollo/client").OperationVariables>;
    } & import("@apollo/client").FetchMoreQueryOptions<TVariables2, K_1, CodeResults> & import("@apollo/client").FetchMoreOptions<TData2, TVariables2>) => Promise<import("@apollo/client").ApolloQueryResult<TData2>>);
    fileTree: string[];
    mainFile: string;
    dependencies: DependencyType[];
    devFiles: string[];
};
export {};
